English | Deutsch | Español | Português
 UserID:
 Passwd:
new user
 About:   Dedicated  | Advanced  | Standard  | Recurring  | No Risk  | Desktop  | Basic  | Single  | Security Seal  | FAQ
  Price/Feature Summary  | Order  | New Vulnerabilities  | Confidentiality  | Vulnerability Search
 Vulnerability   
Search   
    Search 75803 CVE descriptions
and 40037 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.0.51052
Category:Red Hat Local Security Checks
Title:RedHat Security Advisory RHSA-2004:537
Summary:Redhat Security Advisory RHSA-2004:537
Description:
The remote host is missing updates announced in
advisory RHSA-2004:537.

OpenMotif provides libraries which implement the Motif industry standard
graphical user interface.

During a source code audit, Chris Evans and others discovered several stack
overflow flaws and an integer overflow flaw in the libXpm library used to
decode XPM (X PixMap) images. A vulnerable version of this library was
found within OpenMotif. An attacker could create a carefully crafted
XPM file which would cause an application to crash or potentially execute
arbitrary code if opened by a victim. The Common Vulnerabilities and
Exposures project (cve.mitre.org) has assigned the names
CVE-2004-0687, CVE-2004-0688, and CVE-2004-0914 to these issues.

Users of OpenMotif are advised to upgrade to these erratum packages, which
contain backported security patches to the embedded libXpm library.

Solution:
Please note that this update is available via
Red Hat Network. To use Red Hat Network, launch the Red
Hat Update Agent with the following command: up2date

http://rhn.redhat.com/errata/RHSA-2004-537.html

Risk factor : Critical
Cross-Ref: Common Vulnerability Exposure (CVE) ID: CVE-2004-0687
Bugtraq: 20040915 CESA-2004-004: libXpm (Google Search)
http://marc.theaimsgroup.com/?l=bugtraq&m=109530851323415&w=2
http://scary.beasts.org/security/CESA-2004-003.txt
http://lists.apple.com/archives/security-announce/2005/May/msg00001.html
Conectiva Linux advisory: CLA-2005:924
http://distro.conectiva.com.br/atualizacoes/?id=a&anuncio=000924
Debian Security Information: DSA-560 (Google Search)
http://www.debian.org/security/2004/dsa-560
http://www.redhat.com/archives/fedora-legacy-announce/2006-January/msg00001.html
http://www.gentoo.org/security/en/glsa/glsa-200409-34.xml
http://www.gentoo.org/security/en/glsa/glsa-200502-07.xml
HPdes Security Advisory: HPSBUX02119
http://www.securityfocus.com/archive/1/archive/1/434715/100/0/threaded
HPdes Security Advisory: SSRT4848
http://www.mandriva.com/security/advisories?name=MDKSA-2004:098
RedHat Security Advisories: RHSA-2004:537
http://www.redhat.com/support/errata/RHSA-2005-004.html
http://sunsolve.sun.com/search/document.do?assetkey=1-26-57653-1
SuSE Security Announcement: SUSE-SA:2004:034 (Google Search)
http://www.novell.com/linux/security/advisories/2004_34_xfree86_libs_xshared.html
http://www.ubuntulinux.org/support/documentation/usn/usn-27-1
Cert/CC Advisory: TA05-136A
http://www.us-cert.gov/cas/techalerts/TA05-136A.html
CERT/CC vulnerability note: VU#882750
http://www.kb.cert.org/vuls/id/882750
BugTraq ID: 11196
http://www.securityfocus.com/bid/11196
http://oval.mitre.org/repository/data/getDef?id=oval:org.mitre.oval:def:9187
http://www.vupen.com/english/advisories/2006/1914
http://secunia.com/advisories/20235
XForce ISS Database: libxpm-multiple-stack-bo(17414)
http://xforce.iss.net/xforce/xfdb/17414
Common Vulnerability Exposure (CVE) ID: CVE-2004-0688
CERT/CC vulnerability note: VU#537878
http://www.kb.cert.org/vuls/id/537878
http://oval.mitre.org/repository/data/getDef?id=oval:org.mitre.oval:def:11796
XForce ISS Database: libxpm-xpmfile-integer-overflow(17416)
http://xforce.iss.net/xforce/xfdb/17416
Common Vulnerability Exposure (CVE) ID: CVE-2004-0914
Debian Security Information: DSA-607 (Google Search)
http://www.debian.org/security/2004/dsa-607
http://www.linuxsecurity.com/content/view/106877/102/
http://www.gentoo.org/security/en/glsa/glsa-200411-28.xml
http://www.gentoo.org/security/en/glsa/glsa-200502-06.xml
HPdes Security Advisory: HPSBTU01228
http://www1.itrc.hp.com/service/cki/docDisplay.do?docId=HPSBTU01228
http://www.mandriva.com/security/advisories?name=MDKSA-2004:137
http://rhn.redhat.com/errata/RHSA-2004-537.html
http://www.redhat.com/support/errata/RHSA-2004-610.html
http://www.ubuntu.com/usn/usn-83-1
http://www.ubuntu.com/usn/usn-83-2
BugTraq ID: 11694
http://www.securityfocus.com/bid/11694
http://oval.mitre.org/repository/data/getDef?id=oval:org.mitre.oval:def:9943
http://secunia.com/advisories/13224/
XForce ISS Database: libxpm-image-bo(18142):
http://xforce.iss.net/xforce/xfdb/18142
XForce ISS Database: libxpm-improper-memory-access(18144):
http://xforce.iss.net/xforce/xfdb/18144
XForce ISS Database: libxpm-command-execution(18145):
http://xforce.iss.net/xforce/xfdb/18145
XForce ISS Database: libxpm-directory-traversal(18146):
http://xforce.iss.net/xforce/xfdb/18146
XForce ISS Database: libxpm-dos(18147)
http://xforce.iss.net/xforce/xfdb/18147
CopyrightCopyright (c) 2005 E-Soft Inc. http://www.securityspace.com

This is only one of 40037 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.

New User Registration
Email:
UserID:
Passwd:
Please email me your monthly newsletters, informing the latest services, improvements & surveys.
Please email me a vulnerability test announcement whenever a new test is added.
   Privacy
Registered User Login
 
UserID:   
Passwd:  

 Forgot userid or passwd?
Email/Userid:




Home | About Us | Contact Us | Partner Programs | Developer APIs | Privacy | Mailing Lists | Abuse
Security Audits | Managed DNS | Network Monitoring | Site Analyzer | Internet Research Reports
Web Probe | Whois

© 1998-2014 E-Soft Inc. All rights reserved.